Page MenuHomePhabricator

dash minification busted under debian stretch
Closed, ResolvedPublic2 Story Points

Description

Can't seem to run gulp, and it's really unclear where it's breaking. Is there a simpler solution?

Event Timeline

Ejegg created this task.Nov 28 2017, 4:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2017, 4:59 AM
Ejegg claimed this task.Nov 28 2017, 5:19 PM
Ejegg triaged this task as Normal priority.
Ejegg set the point value for this task to 2.
Ejegg moved this task from Backlog to Done on the Fundraising Sprint Winter Wanderland board.
Ejegg moved this task from Triage to Completed in Q2 2017-18 on the Fundraising-Backlog board.
Ejegg added a comment.EditedNov 30 2017, 6:19 PM

Got a workaround, running requirejs's optimiser directly

node node_modules/requirejs/bin/r.js -o app.build.js

Then moving the resulting scripts.js into dist.

Change 394371 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/dash@master] Update readme with minify workaround

https://gerrit.wikimedia.org/r/394371

Ejegg closed this task as Resolved.Dec 11 2017, 8:41 PM

Change 394371 merged by jenkins-bot:
[wikimedia/fundraising/dash@master] Update readme with minify workaround

https://gerrit.wikimedia.org/r/394371

Change 399442 had a related patch set uploaded (by Mepps; owner: Ejegg):
[wikimedia/fundraising/dash@deployment] Update readme with minify workaround

https://gerrit.wikimedia.org/r/399442

Change 399442 merged by jenkins-bot:
[wikimedia/fundraising/dash@deployment] Update readme with minify workaround

https://gerrit.wikimedia.org/r/399442